#!/usr/bin/python3
import os
import json

def makepath(p1, p2):
    for i in p2.split('/'):
        p1 = os.path.join(p1, i)
    return p1

SAVE_DIR = os.path.dirname(os.path.realpath(__file__))
RESOURCE_DIR = makepath(SAVE_DIR, "resource")
CONFIG_JSON    = "asset_config.json"
MAIN_JSON      = "asset_main.json"
MOVIE_H_JSON   = "asset_movie_high.json"
MOVIE_L_JSON   = "asset_movie_low.json"
VOICE_JSON     = "asset_voice.json"
CHAR_LIST_JSON = "asset_char_list.json"
FULLVOICE_JSON = "asset_fullvoice.json"
PROLOGUE_VOICE = "asset_prologue_voice.json"
PROLOGUE_MAIM  = "asset_prologue_main.json"

def read_json(item):
    with open(item, 'r') as f:
        return json.load(f)

JSON_LIST = [MAIN_JSON, VOICE_JSON, MOVIE_H_JSON, CHAR_LIST_JSON, FULLVOICE_JSON, PROLOGUE_VOICE, PROLOGUE_MAIM]

for fjson in JSON_LIST:
    lst = read_json(makepath(SAVE_DIR, fjson))
    for i in lst:
        if len(i['file_list']) > 1 or i['file_list'][0]['url'] != i['path']:
            os.system('touch -c ' + makepath(RESOURCE_DIR, i['path']) + ' -r "' + makepath(RESOURCE_DIR, i['file_list'][0]['url']) + '"')

